Package org.apache.commons.math3.analysis.interpolation

# Class TricubicSplineInterpolator

java.lang.Object
org.apache.commons.math3.analysis.interpolation.TricubicSplineInterpolator

All Implemented Interfaces:
  `TrivariateGridInterpolator`

@Deprecated public class TricubicSplineInterpolator extends Object implements TrivariateGridInterpolator
Deprecated.
To be removed in 4.0 (see MATH-1166).
Generates a tricubic interpolating function.

Since:
  2.2

## Constructor Summary

Constructors
Constructor
Description
`TricubicSplineInterpolator()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`TricubicSplineInterpolatingFunction`
`interpolate(double[] xval, double[] yval, double[] zval, double[][][] fval)`
Deprecated.
Compute an interpolating function for the dataset.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TricubicSplineInterpolator

public TricubicSplineInterpolator()
Deprecated.

## Method Details

### interpolate

public TricubicSplineInterpolatingFunction interpolate(double[] xval, double[] yval, double[] zval, double[][][] fval) throws NoDataException, NumberIsTooSmallException, DimensionMismatchException, NonMonotonicSequenceException
Deprecated.
Compute an interpolating function for the dataset.

Specified by:
  `interpolate` in interface `TrivariateGridInterpolator`
Parameters:
  `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
  `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
  `zval` - All the z-coordinates of the interpolation points, sorted in increasing order.
  `fval` - the values of the interpolation points on all the grid knots: `fval[i][j][k] = f(xval[i], yval[j], zval[k])`.
Returns:
  a function that interpolates the data set.
Throws:
  `NoDataException` - if any of the arrays has zero length.
  `NumberIsTooSmallException` - if the number of points is too small for the order of the interpolation
  `DimensionMismatchException` - if the array lengths are inconsistent.
  `NonMonotonicSequenceException` - if arrays are not sorted